Subject: Re: What's cooking in git.git (Jul 2021, #03; Tue, 13)

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Jul 2021 15:44:58 -0700

Eric Sunshine <[email-masked]> writes:

> On Wed, Jul 14, 2021 at 12:30 PM Junio C Hamano <[email-masked]> wrote:
>> Eric Sunshine <[email-masked]> writes:
>> > I think this series is ready and gave my Reviewed-by: here[1]. One of
>> > the new tests contains an unnecessary but harmless `test -f`[2], but
>> > it's such a minor nit that I doubt it's worth demanding a re-roll.
>>
>> I think having "test -f" is the right thing to do, so [2] is
>> probably OK as-is.  test_cmp may want to complain about a possible
>> bug in the test when given a missing file.  [...]
>
> We tried relatively recently to have test_cmp() complain about a
> missing file[1], but both Ævar[2] and Peff[3] ran into problems in
> which tests (presumably) legitimately called test_cmp() on missing
> files, so the suggestion was made to revert the check[4], which is
> indeed what happened[5].

Yes, I know all that, and even with that, having "test -f" is the
right thing to do, so [2] is probably OK as-is.

> [1]: https://lore.kernel.org/git/[email-masked]/
> [2]: https://lore.kernel.org/git/[email-masked]/
> [3]: https://lore.kernel.org/git/[email-masked]/
> [4]: https://lore.kernel.org/git/CAPig+cSU=[email-masked]/
> [5]: https://lore.kernel.org/git/[email-masked]/